TinyMCE Callout issue (491 Views)
Reply
Highlighted
N/A
Posts: 52
Registered: ‎02-28-2006
Accepted Solution

TinyMCE Callout issue

Hello everyone!

I'm trying to use the full version of TinyMCE (downloaded from http://tinymce.moxiecode.com/) in a callout, and I'm having some trouble. Normally our lead TeamSite developer would take care of this, but he just got a new job, so I get to struggle with it now...

I've got the callout working - it loads a textarea with a submit button. But the textarea is not TinyMCE-enabled. IS what I'm trying to do even possible, or am I stuck with the TinyMCE version that ships with TeamSite?

I've attached my code, in case any of you have the time to try to help out.

Many thanks!!

Matt

TS 6.7.2 on RH Linux
N/A
Posts: 742
Registered: ‎02-16-2006

Re: TinyMCE Callout issue

Hi Matt, By default teamsite install with tinymce, so you do not need to install tinymce again from moxiecode. Now in your datacapture.cfg you need to specify the attribute external-editor="tinymce" for the textarea to show up as tinymce with default config.
N/A
Posts: 52
Registered: ‎02-28-2006

Re: TinyMCE Callout issue

Hi Pawan,

Thanks for your response! We do have TinyMCE installed, but either TS 6.7.2 ships with a version from 2007, or our Sysadmin did not install TS 6.7.2 correctly. We've had nothing but problems with TinyMCE, so I thought I would try to use the full version, and the only way I could think of being able to do that was by using a callout.

The problems we're having with TinyMCE (in case anyone has ever had these issues) is that the bold, italic, and underline buttons don't work (they do nothing in Firefox, and in IE they bold/italicize/underline everything in the textarea). I am not very comfortable with javascript (I'm the XHTML/CSS guy here), so this whole TinyMCE thing terrifies me!

Cheers,
Matt
N/A
Posts: 742
Registered: ‎02-16-2006

Re: TinyMCE Callout issue

Hi Pawan, Thanks for your response! We do have TinyMCE installed, but either TS 6.7.2 ships with a version from 2007, or our Sysadmin did not install TS 6.7.2 correctly. We've had nothing but problems with TinyMCE, so I thought I would try to use the full version, and the only way I could think of being able to do that was by using a callout.
You just cannot install another/full version of tinymce and expect it to work with teamsite, unless IWOV support confirms it. Before any new install I am sure you should have a back up of existing tinymce.
The problems we're having with TinyMCE (in case anyone has ever had these issues) is that the bold, italic, and underline buttons don't work (they do nothing in Firefox, and in IE they bold/italicize/underline everything in the textarea). I am not very comfortable with javascript (I'm the XHTML/CSS guy here), so this whole TinyMCE thing terrifies me! Cheers, Matt
The problem you mentioned may be because of some code getting into the tinymce when user is trying to use bold/italic/underline. You can use the option of cleaning up messy code, or manually opening the view source of tinymce and checking/removing the extra bold/italic/underline tags inserted. However, you can find a permanent fix for it, if you can find the cause.
N/A
Posts: 52
Registered: ‎02-28-2006

Re: TinyMCE Callout issue

You just cannot install another/full version of tinymce and expect it to work with teamsite, unless IWOV support confirms it. Before any new install I am sure you should have a back up of existing tinymce.


I didn't overwrite the existing install, I just put the full install of TinyMCE in a folder in the same workarea as the DCT. From what I've read, a callout window can be just a plain HTML page (provided it's coded as such in the CGI), so a plain HTML page should be able to take advantage of the new TinyMCE install if the correct javascript call is there. I may be wrong about this though. Smiley Sad

The problem you mentioned may be because of some code getting into the tinymce when user is trying to use bold/italic/underline. You can use the option of cleaning up messy code, or manually opening the view source of tinymce and checking/removing the extra bold/italic/underline tags inserted. However, you can find a permanent fix for it, if you can find the cause.


I've tested it with just: <p>This is a test.</p>, so I know it's not because of bad HTML in there. From what I've read, there is no code in TinyMCE to do the bold/italic/underline - it's done by the browser (tried to find the moxiecode forum article again that I read this in, but to no avail).
N/A
Posts: 742
Registered: ‎02-16-2006

Re: TinyMCE Callout issue

Ok, since tinymce is mostly javascript you can try to use it the way you said, but it is not a good practice, you may run into issues. Now the actual problem is the text getting bold/italic/underline, for that matter you do not need a new version of tinymce, so, IMO you should be fighting more with the existing tinymce rather that trying to install new version play a new game. The case I mentioned was if you make some text bold/italic/underline the tags get copied inside the view source, which may be cleaned up using the button "Cleanup messy code", try to preview/generate if you have one. If it looks incorrect in html, it may be because of any css class used, this is just a guess.
N/A
Posts: 52
Registered: ‎02-28-2006

Re: TinyMCE Callout issue

I think I'll just create another post asking for confirmation that TinyMCE should be version 3+ in TS 6.7.2. If that is the case, I'll send this issue to my Sysadmin, as the wrong version of TinyMCE may be responsible for some of the strange issues I'm having (we currently have TinyMCE 2.1.3, and this is supposedly from a fresh install of TS 6.7.2).

Thanks very much for your time and suggestions!

Cheers,
Matt
N/A
Posts: 5
Registered: ‎03-27-2009

Re: TinyMCE Callout issue

Integrating the new version of tiny cant be done.

The version 6.7.2 ships with is 2.1.3. which also most likely renders any plugins or changes developed for the previous version null and void and the subject of new development efforts.

Id love to be wrong about this.
N/A
Posts: 52
Registered: ‎02-28-2006

Re: TinyMCE Callout issue

Thanks Jim! I will close my other post asking about the TinyMCE version that ships with TS 6.7.2.
N/A
Posts: 5
Registered: ‎03-27-2009

Re: TinyMCE Callout issue

Your welcome, you can find verification of tinyMCEs version in the release notes of 6.7.2.